Page MenuHomeFreeBSD

mail/mls: improve and unbreak with -fno-common
ClosedPublic

Authored by fuz on Feb 11 2023, 7:17 PM.
Tags
None
Referenced Files
F81750925: D38516.id.diff
Sat, Apr 20, 8:37 PM
Unknown Object (File)
Mar 19 2024, 1:17 PM
Unknown Object (File)
Mar 4 2024, 11:18 AM
Unknown Object (File)
Feb 25 2024, 7:50 PM
Unknown Object (File)
Feb 23 2024, 6:44 AM
Unknown Object (File)
Jan 12 2024, 4:11 AM
Unknown Object (File)
Dec 20 2023, 6:24 AM
Unknown Object (File)
Nov 28 2023, 4:28 PM
Subscribers

Details

Summary
mail/mls: improve and unbreak with -fno-common

 - liberally sprinkle extern all over the place
 - define LICENSE
 - take over maintainership of this unmaintained port
 - ship examples and html files
 - define DOCS and EXAMPLES options
 - pacify portlint and portclippy
 - add a pkg-message as the author intended
 - remove dead MASTER_SITES entry

PR:		259586
Test Plan

Tested on i386 amd64 FreeBSD 12.4 13.1. arm64 pending.
See http://fuz.su/~fuz/freebsd/batch1/

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

fuz requested review of this revision.Feb 11 2023, 7:17 PM

Minor comments. Otherwise approved.

mail/mls/Makefile
5

Should probably use https here, too.

mail/mls/files/patch-Makefile
1–2

I guess the "regenerate patch files" part is also meant by the "pacify portlint and portclippy" line? I'd add it as a separate entry, as is often done.

This revision is now accepted and ready to land.Feb 12 2023, 9:31 PM
mail/mls/Makefile
5

Thanks. Will address this in the commit.

mail/mls/files/patch-Makefile
1–2

No, I generated additional patches with make makepatch which as a welcome side effect also regenerated the existing patches.

This revision was automatically updated to reflect the committed changes.